/**
 * Revealer - Adds a stylish hover pop-up with five animation effects for internal WordPress website links.
 * Exclusively on Envato Market: https://1.envato.market/revealer
 *
 * @encoding        UTF-8
 * @version         2.0.2
 * @copyright       Copyright (C) 2018 - 2020 Merkulove ( https://merkulov.design/ ). All rights reserved.
 * @license         Envato License https://1.envato.market/KYbje
 * @contributors    Alexander Khmelnitskiy (info@alexander.khmelnitskiy.ua), Dmitry Merkulov (dmitry@merkulov.design)
 * @support         help@merkulov.design
 **/

/**
 * Plugin assignments,
 **/
jQuery(function($) {
    
    "use strict";

    jQuery( document ).ready( function () {

        /** Initialize CSS Code Editor. */
        let css_editor;
        if ( $( '#mdp_custom_css_fld' ).length ) {

            let editorSettings = wp.codeEditor.defaultSettings ? _.clone( wp.codeEditor.defaultSettings ) : {};
            editorSettings.codemirror = _.extend(
                {},
                editorSettings.codemirror,
                {
                    indentUnit: 2,
                    tabSize: 2,
                    mode: 'css'
                }
            );

            css_editor = wp.codeEditor.initialize( 'mdp_custom_css_fld', editorSettings );

            css_editor.codemirror.on( 'change', function( cMirror ) {
                css_editor.codemirror.save(); // Save data from CodeEditor to textarea.
                $( '#mdp_custom_css_fld' ).change();
            } );
        }

        /**
         * Show/hide Image size field.
         **/
        let imageSelect = jQuery( '#mdp_revealer_settings_image_position' );
        function showImageSizeField() {

            if ( 'without-image' === imageSelect.val() ) {
                imageSelect.closest( 'tr' ).next().hide( 300 );
            } else {
                imageSelect.closest( 'tr' ).next().show( 300 );
            }

        }
        imageSelect.on( 'click', showImageSizeField );
        showImageSizeField();

        mdp_revealer_unsaved = false;

    } );
    
} );

